Loading...
Searching...
No Matches
RDKit::v2::FileParsers::Mol2ParserParams Struct Reference

`#include <FileParsers.h>`

## Public Attributes

bool | sanitize = true
bool | removeHs = true
Mol2Type | variant = Mol2Type::CORINA
bool | cleanupSubstructures

## Detailed Description

Definition at line 223 of file FileParsers.h.

## Member Data Documentation

## cleanupSubstructures

bool RDKit::v2::FileParsers::Mol2ParserParams::cleanupSubstructures

Initial value:
=
true

toggles recognition and cleanup of common substructures

Definition at line 227 of file FileParsers.h.

## removeHs

bool RDKit::v2::FileParsers::Mol2ParserParams::removeHs = true

remove Hs after constructing the molecule

Definition at line 225 of file FileParsers.h.

## sanitize

bool RDKit::v2::FileParsers::Mol2ParserParams::sanitize = true

sanitize the molecule after building it

Definition at line 224 of file FileParsers.h.

## variant

Mol2Type RDKit::v2::FileParsers::Mol2ParserParams::variant = Mol2Type::CORINA

the atom type definitions to use

Definition at line 226 of file FileParsers.h.

The documentation for this struct was generated from the following file:

- FileParsers.h